%if %{?fedora}
%global with_python3 1
%else
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}
%endif

%global pypi_name plaintable

Name:           python-%{pypi_name}
Version:        0.1.1
Release:        1%{?dist}
Summary:        Python2 simple library to build plain text tables

License:        LGPLv2+ 
URL:            https://github.com/savoirfairelinux/num2words
Source0:        https://pypi.python.org/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%if 0%{?with_python3}
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
%endif # if with_python3

%description
Plaintable is a very simple library to build plain text tables. 
It has been created to provide a very lightweight and clear interface
 for generating plain text tables. Some data can be customized e.g. alignment, padding and floatprecision. Every data item is to be 
 converted to string automatically. 

%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        Python 3 A simple library to build plain text tables
Group:          Development/Libraries
Requires:       python3

%description -n python3-%{pypi_name}
Plaintable is a very simple Python 3 library to build plain text
 tables. It has been created to provide a very lightweight and clear
 interface for generating plain text tables. Some data can be
 customized e.g. alignment, padding and floatprecision. 
Every data item is to be converted to string automatically.

%endif # if with_python3

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # with_python3

%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root=%{buildroot}
popd
%endif # with_python3

%files
%doc README.rst
%license LICENSE
%{python2_sitelib}/*
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/*
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif # with_python3

%changelog
* Tue Jun 09 2015 William Moreno Reyes <williamjmorenor at gmail.com> 
- 0.1.1-1
- Initial packaging
